/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-26 18:28:34.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.impl;

import cn.com.qmth.examcloud.commons.base.exception.StatusException;
import cn.com.qmth.examcloud.core.print.entity.PrintingProject;
import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectService;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.printingproject.ProjectStatisticInfo;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static cn.com.qmth.examcloud.core.print.common.Constants.PRT_CODE_500;

/**
 * @author: fengdesheng
 * @since: 2018/10/26
 */
@Service
public class PrintingProjectStatisticServiceImpl implements PrintingProjectStatisticService {
    @Autowired
    private PrintingProjectService printingProjectService;
    @Autowired
    private CourseStatisticService courseStatisticService;

    @Override
    public ProjectStatisticInfo getPrintingProjectStatistic(Long orgId, Long examId) {
        PrintingProject project = printingProjectService.getPrintingProjectByOrgExam(orgId, examId);
        if (project == null) {
            throw new StatusException(PRT_CODE_500, "当前项目统计不存在！");
        }
        ProjectStatisticInfo info = new ProjectStatisticInfo();
        BeanUtils.copyProperties(project, info);
        info.setProjectId(project.getId());
        //todo total
        return info;
    }

    @Override
    public void initPrintingProjectStatistics() {
        //todo init
    }

}